curl --request GET \
--url https://api.hakumedia.ai/v2/ad-items/catalog-item/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/ad-items/catalog-item/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Catalog Item with ID",
"catalog_id": 123456,
"catalog_item_identifier": "123456789",
"location": null,
"tracking_pixel": "https://example.com/",
"tracking_pixels": [
{
"id": 123,
"url": "<string>"
}
],
"metadata": [],
"object": "catalog_ad_item",
"self": "/v2/ad-items/catalog-item/14456",
"id": 14456,
"created_date": "2023-01-12 15:03:22",
"last_modified": "2023-01-19 10:59:22",
"deleted": false
}Get a Single Catalog Ad Item
Retrieve a single catalog ad item. :ID is the identifier for a catalog ad item (eg client SKU, or whichever other unique identifier used).
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Catalog Ad Item (eg client SKU, or whichever other unique identifier used).
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
A string name for the ad item
255"Catalog Item with ID"
The id for the catalog
123456
The unique identifier for the item
255"123456789"
The destination URL to which the user will be redirected when they click on the ad item.
null
An optional third party tracking pixel served with the ad for monitoring impressions.
"https://example.com/"
List of tracking pixels. An empty array indicates no tracking pixels are available.
Show child attributes
Show child attributes
An object containing any number of metadata fields and values.
[]
A string denoting the current resource being requested or affected.
"catalog_ad_item"
The relative URL of the current resource being requested or affected.
"/v2/ad-items/catalog-item/14456"
The identifier for a catalog ad item (eg client SKU, or whichever other unique identifier used)
14456
The date and time when this ad item was created.
"2023-01-12 15:03:22"
The date and time the ad item was last modified.
"2023-01-19 10:59:22"
Whether the ad item has been deleted.
false